## ros-noetic-rosserial-msgs 0.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(rosserial_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
)

add_message_files(FILES
  Log.msg
  TopicInfo.msg
)

add_service_files(FILES
  RequestParam.srv
)

generate_messages()

catkin_package(CATKIN_DEPENDS
  message_runtime
)

=== debian/changelog ===
ros-noetic-rosserial-msgs (0.9.2-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-noetic-rosserial-msgs (0.9.1-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-noetic-rosserial-msgs (0.9.0-1buster) buster; urgency=high

  * Fix Travis for Noetic + Python 3
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Drop separate node for message service (#446 <https://github.com/ros-drivers/rosserial/issues/446>)
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-noetic-rosserial-msgs (0.8.0-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-noetic-rosserial-msgs (0.7.7-1buster) buster; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Contributors: Bei Chen Liu

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-noetic-rosserial-msgs (0.7.6-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-noetic-rosserial-msgs (0.7.5-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-noetic-rosserial-msgs (0.7.4-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-noetic-rosserial-msgs (0.7.3-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-noetic-rosserial-msgs (0.7.2-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 00:00:00 -0000

ros-noetic-rosserial-msgs (0.7.1-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 00:00:00 -0000

ros-noetic-rosserial-msgs (0.7.0-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-noetic-rosserial-msgs (0.6.3-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-noetic-rosserial-msgs (0.6.2-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 00:00:00 -0000

ros-noetic-rosserial-msgs (0.6.1-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-msgs (0.6.0-1buster) buster; urgency=high

  * Uncomment ID_TX_STOP constant, per #111 <https://github.com/ros-drivers/rosserial/issues/111>
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-msgs (0.5.6-1buster) buster; urgency=high

  * Add Mike Purvis as maintainer to all but xbee.
  * remove ID_TX_STOP from rosserial_msgs/msg/TopicInfo.msg, using hardcode modification. fix the dupilcated registration problem of subscriber
  * modified rosserial
  * Contributors: Mike Purvis, Moju Zhao

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-msgs (0.5.5-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 00:00:00 -0000

ros-noetic-rosserial-msgs (0.5.4-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 17 Oct 2013 00:00:00 -0000

ros-noetic-rosserial-msgs (0.5.3-1buster) buster; urgency=high

  * Add message info service and stub of node to provide it, for
  rosserial_server support.

 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 21 Sep 2013 00:00:00 -0000

ros-noetic-rosserial-msgs (0.5.2-1buster) buster; urgency=high

  * Fix release version

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 17 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-msgs (0.5.1-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 15 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-msgs (0.4.5-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 02 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-msgs (0.4.4-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 20 Mar 2013 00:00:00 -0000

ros-noetic-rosserial-msgs (0.4.3-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 14:08:00 -0000

ros-noetic-rosserial-msgs (0.4.2-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 01:15:00 -0000

ros-noetic-rosserial-msgs (0.4.1-1buster) buster; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 09 Mar 2013 00:00:00 -0000

ros-noetic-rosserial-msgs (0.4.0-1buster) buster; urgency=high

  * Changed DEBUG log level to ROSDEBUG.
  * initial catkin version on github

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 08 Mar 2013 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rosserial-msgs
Section: misc
Priority: optional
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation
Homepage: http://ros.org/wiki/rosserial_msgs
Standards-Version: 3.9.2

Package: ros-noetic-rosserial-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime
Description: Messages for automatic topic configuration using rosserial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rosserial-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
